Summary: ULN support for yum
Name: python3-dnf-plugin-ulninfo
Version: 0.3
Release: 3%{?dist}
License: GPLv2
Group: System Environment/Base
Source0: python3-dnf-plugin-ulninfo-%{version}.tgz
Patch0: bug32850127.patch
BuildArch:      noarch
Requires: python3-dnf-plugin-spacewalk
BuildRequires: python3-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%prep
%setup -q
%patch0 -p1

%install
install -d %{buildroot}%{_sysconfdir}/dnf/plugins/
install -d %{buildroot}%{python3_sitelib}/dnf-plugins/
install -m 644 ulninfo.conf %{buildroot}%{_sysconfdir}/dnf/plugins/
install -m 644 ulninfo.py %{buildroot}%{python3_sitelib}/dnf-plugins/

%description
send uln license, notification, entitlement to yum client

%files
%defattr(-,root,root,-)
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/dnf/plugins/ulninfo.conf
%{python3_sitelib}/dnf-plugins/*

%changelog
* Tue May 03 2022 David Sloboda <david.x.sloboda@oracle.com> 0.3-3
- Build requires python3-devel

* Mon May 10 2021 Jared Greenwald <jared.greenwald@oracle.com> 0.3-2
- Catch all exceptions and die quietly [Orabug: 32850127]

* Wed Mar 31 2021 Jared Greenwald <jared.greenwald@oracle.com> 0.3-1
- Intial version
